> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Public Settings > List all public settings. Learn how this can be used in configuring your workspace in this guide. ### Changelog | Version | Description | | ---------------- | ------------| |9.0.0 | Removed the `fields` and `query` parameters. | |7.0.0 | Added the `_id` query parameter for filtering.| ## OpenAPI ````json GET /api/v1/settings.public { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/settings.public": { "get": { "summary": "Get Public Settings", "operationId": "get-api-v1-settings.public", "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "settings": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "value": { "oneOf": [ { "type": "boolean" }, { "type": "string" } ] } } } }, "count": { "type": "integer" }, "offset": { "type": "integer" }, "total": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "settings": [ { "_id": "API_Embed", "value": true } ], "count": 1, "offset": 0, "total": 1, "success": true } } } } } } }, "tags": [ "Settings" ], "description": "List all public settings. Learn how this can be used in configuring your workspace in this guide.\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|9.0.0 | Removed the `fields` and `query` parameters. |\n|7.0.0 | Added the `_id` query parameter for filtering.|", "parameters": [ { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/count" }, { "name": "_id", "in": "query", "description": "Filter by the `_id` of the settings.", "schema": { "type": "string" }, "example": "Site_Url, LDAP_Enable" }, { "schema": { "type": "string" }, "in": "query", "name": "sort", "description": "Sort the settings in ascending or descending order. By default, settings are sorted by setting ID in ascending order. The sort options are:\n * `createdAt`: Sort by creation date. `sort={\"createdAt\": 1}` or `sort={\"createdAt\": -1}`\n * `_id`: Sort by setting ID. `sort={\"_id\": 1}` or `sort={\"_id\": -1}`" } ] } } }, "components": { "parameters": { "offset": { "name": "offset", "in": "query", "required": false, "schema": { "type": "integer" }, "example": 50, "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." }, "count": { "name": "count", "in": "query", "required": false, "schema": { "type": "integer" }, "example": 50, "description": "How many items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." } } } } ````